:root {
    --ATOME-Dark-grey-20: #4A4A4A;
    --ATOME-Dark-grey-30: #212427;
    --ATOME-Light-blue-30: #E4E8F9;
    --table-column-background: #e6f1ec;
    --table-row-background: #cde4d9;
    --table-border-color: #809a7e;
    --ATOME-blue-text: #2458BF;

    --regnology-primary-color: #21a742;
    --bs-primary-rgb: 33, 167, 66;
    
    --blue-100: #cfe2ff;
    --blue-200: #9ec5fe;
    --blue-300: #6ea8fe;
    --blue-400: #3d8bfd;
    --blue-500: #0d6efd;
    --blue-600: #0a58ca;
    --blue-700: #084298;
    --blue-800: #052c65;
    --blue-900: #031633;
    --indigo-100: #e0cffc;
    --indigo-200: #c29ffa;
    --indigo-300: #a370f7;
    --indigo-400: #8540f5;
    --indigo-500: #6610f2;
    --indigo-600: #520dc2;
    --indigo-700: #3d0a91;
    --indigo-800: #290661;
    --indigo-900: #140330;
    --purple-100: #e2d9f3;
    --purple-200: #c5b3e6;
    --purple-300: #a98eda;
    --purple-400: #8c68cd;
    --purple-500: #6f42c1;
    --purple-600: #59359a;
    --purple-700: #432874;
    --purple-800: #2c1a4d;
    --purple-900: #160d27;
    --pink-100: #f7d6e6;
    --pink-200: #efadce;
    --pink-300: #e685b5;
    --pink-400: #de5c9d;
    --pink-500: #d63384;
    --pink-600: #ab296a;
    --pink-700: #801f4f;
    --pink-800: #561435;
    --pink-900: #2b0a1a;
    --red-100: #f8d7da;
    --red-200: #f1aeb5;
    --red-300: #ea868f;
    --red-400: #e35d6a;
    --red-500: #dc3545;
    --red-600: #b02a37;
    --red-700: #842029;
    --red-800: #58151c;
    --red-900: #2c0b0e;
    --orange-100: #ffe5d0;
    --orange-200: #fecba1;
    --orange-300: #feb272;
    --orange-400: #fd9843;
    --orange-500: #fd7e14;
    --orange-600: #ca6510;
    --orange-700: #984c0c;
    --orange-800: #653208;
    --orange-900: #331904;
    --yellow-100: #fff3cd;
    --yellow-200: #ffe69c;
    --yellow-300: #ffda6a;
    --yellow-400: #ffcd39;
    --yellow-500: #ffc107;
    --yellow-600: #cc9a06;
    --yellow-700: #997404;
    --yellow-800: #664d03;
    --yellow-900: #332701;
    --green-100: #d1e7dd;
    --green-200: #a3cfbb;
    --green-300: #75b798;
    --green-400: #479f76;
    --green-500: #198754;
    --green-600: #146c43;
    --green-700: #0f5132;
    --green-800: #0a3622;
    --green-900: #051b11;
    --teal-100: #d2f4ea;
    --teal-200: #a6e9d5;
    --teal-300: #79dfc1;
    --teal-400: #4dd4ac;
    --teal-500: #20c997;
    --teal-600: #1aa179;
    --teal-700: #13795b;
    --teal-800: #0d503c;
    --teal-900: #06281e;
    --cyan-100: #cff4fc;
    --cyan-200: #9eeaf9;
    --cyan-300: #6edff6;
    --cyan-400: #3dd5f3;
    --cyan-500: #0dcaf0;
    --cyan-600: #0aa2c0;
    --cyan-700: #087990;
    --cyan-800: #055160;
    --cyan-900: #032830;
    --gray-100: #f8f9fa;
    --gray-200: #e9ecef;
    --gray-300: #dee2e6;
    --gray-400: #ced4da;
    --gray-500: #adb5bd;
    --gray-600: #6c757d;
    --gray-700: #495057;
    --gray-800: #343a40;
    --gray-900: #212529;
    --white: #fff;
    --black: #000;
}

.accordion-button {
    --bs-accordion-active-color: #2d4a26;
    --bs-accordion-active-bg: #e5f2e2;
    --bs-accordion-btn-focus-box-shadow: 0 0 0 0;
}

html, body {
    font-family: Roboto, system-ui, -apple-system, "Segoe UI", "Helvetica Neue", Arial, "Noto Sans", "Liberation Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
}

body {
    overflow: hidden;
}

main {
    background-color: var(--bs-secondary-bg);
    display: grid;
    height: 0px;
}

.content-container {
    overflow: hidden;
    background-color: var(--bs-body-bg);
}

.content {
    overflow: auto;
    padding: 2em;
}

a, .btn-link {
    color: #006bb7;
}

.btn-primary {
    color: #fff;
    --bs-btn-bg: var(--regnology-primary-color);
    --bs-btn-border-color: var(--regnology-primary-color);
    --bs-btn-hover-bg: #1d9335;
    --bs-btn-hover-border-color: #1c8c31;
    --bs-btn-disabled-bg: var(--regnology-primary-color);
    --bs-btn-disabled-border-color: var(--regnology-primary-color);
}

.btn-outline-primary {
    --bs-btn-color: var(--regnology-primary-color);
    --bs-btn-border-color: var(--regnology-primary-color);
    --bs-btn-hover-border-color: #1c8c31;
    --bs-btn-disabled-border-color: var(--regnology-primary-color);
    --bs-btn-active-bg: var(--regnology-primary-color);
    --bs-btn-active-border-color: var(--regnology-primary-color);
}

.form-check-input:checked {
    background-color: var(--regnology-primary-color); 
    border-color: var(--regnology-primary-color);
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}


h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI26My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA9NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDgKNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

[data-tooltip] {
    position: relative; 
    overflow: visible;
}

    [data-tooltip]::after {
        content: attr(data-tooltip);
        position: absolute;
        top: 100%;
        transform: translateX(-50%);
        min-width: 10em;
        font-size: 0.9rem;
        color: var(--gray-100);
        background: var(--gray-800);
        padding: 0.25em;
        border-radius: 4px;
        opacity: 0;
        pointer-events: none;
        transition: opacity 0.2s ease-in-out 0s;
        z-index: 1000;
    }

    [data-tooltip]:hover::after {
        opacity: 1;
        transition-delay: 0.5s;
    }

/* Hide increment/decrement arrows from numeric inputs */
input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type="number"] {
    -moz-appearance: textfield;
    appearance: textfield;
}
